# Harvester Scythe Functionality
execute as @a at @s run function harvester:harvest

# Spawning Detection
execute as @e[type=item,nbt={Item:{id:"minecraft:golden_hoe"}}] at @s align xyz if block ~ ~-1 ~ #harvester:heads if block ~ ~-2 ~ hay_block if block ~ ~-3 ~ #minecraft:fences run function harvester:spawn_start

# Spawning Animation
execute as @e[type=armor_stand,tag=spawning,scores={spawning=1..}] at @s run function harvester:spawning_animation
scoreboard players remove @e[type=armor_stand,tag=spawning,scores={spawning=1..}] spawning 1


# Ability Timer
scoreboard players remove @e[type=wither_skeleton,tag=harvester,scores={ability_timer=1..}] ability_timer 1
execute as @e[type=wither_skeleton,tag=harvester,scores={ability_timer=1}] at @s run function harvester:ability_choose
scoreboard players set @e[type=wither_skeleton,tag=harvester,scores={ability_timer=0}] ability_timer 320

# Spawn Croplings Ability
execute as @e[type=wither_skeleton,tag=harvester,scores={spawn_croplings_duration=1}] at @s run function harvester:abilities/spawn_croplings
execute as @e[type=wither_skeleton,tag=harvester,scores={spawn_croplings_duration=20}] at @s run function harvester:abilities/spawn_croplings
execute as @e[type=wither_skeleton,tag=harvester,scores={spawn_croplings_duration=40}] at @s run function harvester:abilities/spawn_croplings
execute as @e[type=wither_skeleton,tag=harvester,scores={spawn_croplings_duration=60}] at @s run function harvester:abilities/spawn_croplings
execute as @e[type=wither_skeleton,tag=harvester,scores={spawn_croplings_duration=80}] at @s run function harvester:abilities/spawn_croplings
scoreboard players remove @e[type=wither_skeleton,tag=harvester,scores={spawn_croplings_duration=1..}] spawn_croplings_duration 1

# Scream Ability
execute as @e[type=wither_skeleton,tag=harvester,scores={scream_duration=1}] at @s run data merge entity @e[type=wither_skeleton,tag=harvester,scores={scream_duration=1},limit=1,sort=random] {NoAI:0b}
scoreboard players remove @e[type=wither_skeleton,tag=harvester,scores={scream_duration=1..}] scream_duration 1

# Ground Pound Ability
execute as @e[type=wither_skeleton,tag=harvester,scores={ground_pound_duration=10}] at @s run function harvester:abilities/ground_pound_stop
scoreboard players remove @e[type=wither_skeleton,tag=harvester,scores={ground_pound_duration=1..}] ground_pound_duration 1
execute as @e[type=wither_skeleton,tag=harvester,tag=need_to_ground] at @s unless block ~ ~-0.2 ~ #harvester:not_ground run function harvester:abilities/ground_pound_finish

